Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451539 - The default vmlinux path is wrong
Summary: The default vmlinux path is wrong
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: oprofile
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: William Cohen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-15 12:38 UTC by Jan Kratochvil
Modified: 2008-07-09 21:46 UTC (History)
0 users

Fixed In Version: 0.9.3-18.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-09 21:46:29 UTC


Attachments (Terms of Use)

Description Jan Kratochvil 2008-06-15 12:38:03 UTC
Description of problem:
While running oprof_start the button `Start' does not work out of the box.

Version-Release number of selected component (if applicable):
oprofile-0.9.3-17.fc9.x86_64
oprofile-gui-0.9.3-17.fc9.x86_64
kernel-2.6.25.6-55.fc9.x86_64
kernel-debuginfo-2.6.25.6-55.fc9.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. rm -rf ~/.oprofile
2. oprof_start
3. Start

Actual results:
...
The specified file /boot/vmlinux-2.6.25.6-55.fc9.x86_64 does not seem to be valid
...

Expected results:
Started oprofile.

Additional info:
There should be a default path:
VMLINUX=/usr/lib/debug/lib/modules/2.6.25.6-55.fc9.x86_64/vmlinux
There do exist some people out there using the distro kernels.

Comment 1 Fedora Update System 2008-06-23 20:37:43 UTC
oprofile-0.9.3-18.fc9 has been submitted as an update for Fedora 9

Comment 2 William Cohen 2008-06-23 20:44:47 UTC
A minor tweak needed for one of the patches. This has been pushed through the
koji build system. oprofile-0.9.3-18.fc9 has the fix. An Bodhi errata has also
been file with this revised F-9 version.

A similar Koji build and Bodhi errata filed for the F-8 version.

Can see the information on this at:
https://admin.fedoraproject.org/updates/search/oprofile

Comment 3 Fedora Update System 2008-06-25 02:51:17 UTC
oprofile-0.9.3-18.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update oprofile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5651

Comment 4 Fedora Update System 2008-07-09 21:46:25 UTC
oprofile-0.9.3-18.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.